Subject: bug#29549: 25.3; Unnecessary question when trying to open large unreadable file

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 15 Apr 2018 21:03:49 +0200

Rabbe Fogelholm <[email-masked]> writes:

> When using C-X C-F to open a large and not readable file I get this question,
>
>     File emerge.log is large (12.4M), really open? (y or n)
>
> Then, after pushing 'y', I get
>
>     File is not readable: /var/log/emerge.log
>
>>>From a user interface perspective this is somewhat inefficient. In most cases it
> would be enough to just be told that the file is not readable. So, my suggestion
> is to display the "really open?" question only when it is in fact otherwise possible
> to open the file.

Makes sense to me.  I've now done this change in Emacs 27.1.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no